Bug 72132 - RFE: rdate (or other time sync) in Kickstart %pre section
RFE: rdate (or other time sync) in Kickstart %pre section
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-21 07:27 EDT by Andreas Luik
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:52:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Luik 2002-08-21 07:27:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686)

Description of problem:
I'm using Kickstart to install RedHat 7.2 from an install server. Of
course, the date/time setting on the machine should be correct
before files are created to get correct time stamp information.
I tried to run "rdate 192.168.1.1" from the Kickstart %pre
section (where 192.168.1.1 is the IP address of the install
server), but this fails, because rdate is not available in
the mini-root filesystem.

Could rdate (or a different time synchronization mechanism) please
added to the install image (of course this only makes sense for
the network image)?


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Perform Kickstart installation with network boot and an NFS install
server.
2. In the %pre section, run rdate <IP-address-of-install-server>
3. Observe that rdate is not found, and the time on the client
machine is not synchronized.


Additional info:
Comment 1 Andreas Luik 2002-08-21 07:30:33 EDT
I forgot to mention, that it would be also required to create a /etc/services
file with the following line in it to make rdate work:

time  37/tcp  timserver

Comment 2 Michael Fulbright 2002-10-01 14:21:44 EDT
Anaconda-images is for the pixmaps, not boot images :)

Reassigning.
Comment 3 Jeremy Katz 2002-12-13 18:06:26 EST
Fixed in CVS
Comment 4 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated
Comment 5 Jeremy Katz 2006-04-24 14:52:35 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.